Redmine - Patch #5899

Display user's gravatar when editing profile

2010-07-18 16:28 - Jean-Baptiste Barth

Status: Closed Start date: 2010-07-18
Priority: Normal Due date:
Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.0
Description
See screenshot and patch attached, let me know what you think.
Users » admin & Profile
General Groups Projects
Login * |gdmin
Firstname * |edMine
Lastname * |admin
Email * |admin@somenet.foo
Language |English wJ
Related issues:
Related to Redmine - Defect #33355: TypeError when attempting to update a use... Closed
Blocked by Redmine - Patch #31391: Small refactorization of avatar methods Closed

Associated revisions

Revision 18180 - 2019-05-20 10:51 - Go MAEDA
Display user's gravatar when editing profile (#5899).

Patch by Go MAEDA.

History

#1 - 2019-05-12 18:31 - Go MAEDA
- File 5899-20190513@2x.png added
- File 5899-show-gravatar.patch added

- Priority changed from Low to Normal

Here is a completely rewritten patch for the latest trunk. Unfortunately, the patch 5899 _git.diff is no longer applicable to the trunk.
Home My page Projects Administration Help

Redmine

Users » @ admin

General | Groups @ Projects

Information Email notificaf

Login * admin
For any event
First name * Redmine
| Idon't wa

Last name * Admin make myself

#2 - 2019-05-13 01:20 - Go MAEDA

- Target version set to 4.1.0
Setting the target version to 4.1.0.

#3 - 2019-05-13 08:33 - Marius BALTEANU
Go MAEDA wrote:

Setting the target version to 4.1.0.

Please wait few days before committing this because I've a patch that refactors a little bit the existing methods related to gravatar. I'll update your
patch after that.

#4 - 2019-05-13 08:40 - Go MAEDA
- Assignee set to Marius BALTEANU

Marius BALTEANU wrote:

Please wait few days before committing this because I've a patch that refactors a little bit the existing methods related to gravatar. I'll update your
patch after that.

Thanks. | am looking forward to it!

#5 - 2019-05-18 13:38 - Marius BALTEANU
- Assignee changed from Marius BALTEANU to Go MAEDA

Go MAEDA wrote:
Thanks. | am looking forward to it!
I've posted the patch.

#6 - 2019-05-19 13:19 - Go MAEDA
- Assignee changed from Go MAEDA to Marius BALTEANU

Marius, could you attach the patch?

#7 - 2019-05-19 14:03 - Marius BALTEANU
Go MAEDA wrote:

Marius, could you attach the patch?
Sorry, | referred to the patch from #31391. Your patch from note-1 is good enough, we should remove only the size from it.

#8 - 2019-05-19 15:10 - Go MAEDA
- Blocked by Patch #31391: Small refactorization of avatar methods added

#9 - 2019-05-20 10:51 - Go MAEDA
- Status changed from New to Closed

- Assignee changed from Marius BALTEANU to Go MAEDA
Committed the patch.

#10 - 2020-12-04 00:35 - Go MAEDA

- Related to Defect #33355: TypeError when attempting to update a user with a blank email address added

Files

5899 _git.diff 1001 Bytes 2010-07-18 Jean-Baptiste Barth

gravatar_users_edit.png 23.5 KB 2010-07-18 Jean-Baptiste Barth

5899-20190513@2x.png 22.4 KB 2019-05-12 Go MAEDA

5899-show-gravatar.patch 1.11 KB 2019-05-12 Go MAEDA
